package com.sifang.modules.supply.order.request;

import com.sifang.modules.supply.order.entity.CrmSupplyMaterialDeliverOrderDetail;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

public class UpdateSupplyOrderDetailReq {
    @NotBlank(message = "id不能为空!")
    private String id;
    private List<CrmSupplyMaterialDeliverOrderDetail> materials;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<CrmSupplyMaterialDeliverOrderDetail> getMaterials() {
        return materials;
    }

    public void setMaterials(List<CrmSupplyMaterialDeliverOrderDetail> materials) {
        this.materials = materials;
    }
}
